package com.ruoyi.post.service;

import com.ruoyi.post.domain.PostBulletin;
import com.ruoyi.post.domain.PostNews;

import java.util.List;

/**
 * @Author HuiANan
 * @Date 2023/1/13 17:19
 * @Exegesis:
 */
public interface IPostBulletinService
{
    /**
     * 查询通知公告;
     *
     */
    public PostBulletin selectPostBulletinByNoticeId(Integer noticeId);

    /**
     * 查询通知公告列表;
     *
     */
    public List<PostBulletin> selectPostBulletinList(PostBulletin postBulletin);

    /**
     * 新增通知公告;
     *
     */
    public int insertPostBulletin(PostBulletin postBulletin);

    /**
     * 修改通知公告;
     *
     */
    public int updatePostBulletin(PostBulletin postBulletin);

    /**
     * 批量删除通知公告管理;
     *
     * @param noticeIds 需要删除的通知公告管理;
     * @return 结果
     */
    public int deletePostBulletinByNoticeIds(Integer[] noticeIds);

    /**
     * 删除通知公告管理;
     *
     * @param noticeId 通知公告管理;
     * @return 结果
     */
    public int deletePostBulletinByNoticeId(Integer noticeId);

    /**
     * 查看详情
     */
    public PostBulletin selectViewDetail(Integer noticeId);

    /**
     * 判断消息标题是否唯一
     */
    public String checkTitle(PostBulletin postBulletin);

    /**
     * 查看详情
     */
    public String checkContent(PostBulletin postBulletin);
}